<div class="modal fade" id="delete_vehicle" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h2>Клиент</h2>
                <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                    <span class="svg-icon svg-icon-1">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                            <rect opacity="0.5" x="6" y="17.3137" width="16" height="2" rx="1"
                                  transform="rotate(-45 6 17.3137)" fill="black"/>
                            <rect x="7.41422" y="6" width="16" height="2" rx="1"
                                  transform="rotate(45 7.41422 6)" fill="black"/>
                        </svg>
                    </span>
                </div>
            </div>
            <div class="modal-body scroll-y m-0">
                <h2 class="colortextDeleteModal">Вы уверены, что хотите удалить это Клиента?</h2>
                <div class="text-end pt-15">
                    <button type="reset" class="btn btn-light me-3" data-bs-dismiss="modal">Отмена</button>
                    <button id="delete_vehicle_btn" class="btn btn-primary">
                        <span class="indicator-label">Удалить</span>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

<script>

    let delete_vehicle = "";
    $('.delete_vehicle').click(function () {
        delete_vehicle = $(this).data('url');
    });

    $("#delete_vehicle_btn").click(function (event) {

        event.preventDefault();
        document.getElementById("delete_vehicle_btn").disabled = true;

        $.ajax({
            headers: {"X-CSRFToken": "{{csrf_token}}"},
            url: delete_vehicle,
            processData: false,
            contentType: false,
            method: 'DELETE',
            success: function (data) {
                location.reload();
            },
            error: function (data) {
                Swal.fire({
                    text: data.responseText,
                    icon: "error",
                    buttonsStyling: !1,
                    confirmButtonText: "Ok",
                    customClass: {confirmButton: "btn fw-bold btn-danger"}
                })
            }
        });
    });

</script>